package sample.exception;

import javax.ws.rs.core.Response;
import javax.ws.rs.core.Response.Status;
import javax.ws.rs.ext.ExceptionMapper;
import javax.ws.rs.ext.Provider;

/**
 * {@link IllegalStatusException}を403 Forbiddenに変換するクラスです。
 *
 */
@Provider
public class IllegalStatusExceptionMapper implements ExceptionMapper<IllegalStatusException> {

    @Override
    public Response toResponse(IllegalStatusException exception) {
        return Response.status(Status.FORBIDDEN).build();
    }
}
