package sample.security;

import java.lang.annotation.Documented;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;

import javax.ws.rs.NameBinding;

/**
 * ログイン認証でリソースを保護するために使用するアノテーションです。
 * 
 * @see Protection
 *
 */
@Documented
@NameBinding
@Retention(RetentionPolicy.RUNTIME)
public @interface Protected {
}
