package sample.security;

import java.util.Optional;

import sample.entity.Account;

/**
 * アプリケーションを利用するユーザーを表すインターフェースです。
 *
 */
public interface User {
    /**
     * ユーザーを表すアカウントデータを返します。
     * 
     * @return ログイン済みならアカウントデータを返す
     */
    Optional<Account> getAccount();
}
