<%@ page contentType="text/html; charset=UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions"%>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt"%>
<!DOCTYPE html>
<html>
<head>
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>ログイン</title>
    <link rel="stylesheet" href="<c:url value="/webjars/bootstrap/3.3.6/css/bootstrap.min.css"/>">
    <link rel="stylesheet" href="<c:url value="/webjars/bootstrap/3.3.6/css/bootstrap-theme.min.css"/>">
    <link rel="stylesheet" href="<c:url value="/assets/shinsei.css"/>">
    <script src="<c:url value="/webjars/jquery/1.11.1/jquery.min.js"/>"></script>
    <script src="<c:url value="/webjars/bootstrap/3.3.6/js/bootstrap.min.js"/>"></script>
    <script>
        $(function() {
            $('#login').on('click', function() {
                var params = {};
                params.userId = $('#userId').val();
                params.password = $('#password').val();
                $.post('<c:url value="/app/login"/>', params).then(function(model) {
                    location.href = "<c:url value="/app/shinsei"/>";
                }, function() {
                    alert('ログインに失敗しました。');
                });
            });
        });
    </script>
</head>
<body>
    <div class="container">
        <form class="form-login">
            <div class="form-group">
                <label for="userId">ユーザーID</label>
                <input type="text" id="userId" class="form-control">
            </div>
            <div class="form-group">
                <label for="password">パスワード</label>
                <input type="password" id="password" class="form-control">
            </div>
            <input type="button" value="ログイン" id="login" class="btn btn-primary btn-block">
        </form>
    </div>
</body>
</html>
